from loguru import logger
import pretty_errors
from colorama import Fore, Back, Style, init

import pathlib
import argparse
import yaml

import sys
from sys import platform


if platform != "linux":
    logger.critical("""\nNot for windows, run only on GNU/Linux!\n""")
    input()
    sys.exit(1)

parser = argparse.ArgumentParser(
    description="List fish in aquarium.",
    argument_default=argparse.SUPPRESS
)

parser.add_argument(
    "--config", "-c",
    help="Path to the config file",
    type=pathlib.Path,
    default="config.yaml",
)
parser.add_argument(
    "--proxy", "-p",
    help="Path to the proxy file",
    type=pathlib.Path
)
parser.add_argument("--rtc_min", help="", type=int)
parser.add_argument("--rtc_max", help="", type=int)

args = vars(parser.parse_args())

logger.add("project.log")
logger.info("Starting...")


with open(args["config"]) as f:
    config = yaml.safe_load(f)
    config["settings"].update(args)
